[SCM] Debian Live build scripts branch, master, updated. 1.0.2-2-7-gb2de9c3

Daniel Baumann daniel at debian.org
Fri Jan 9 15:57:24 UTC 2009


The following commit has been merged in the master branch:
commit b2de9c326e267cc402910f96e51e1a331dff6f3e
Author: Daniel Baumann <daniel at debian.org>
Date:   Fri Jan 9 16:50:21 2009 +0100

    Adding sample hook to add custom /etc/modules entries.

diff --git a/examples/hooks/modules.sh b/examples/hooks/modules.sh
new file mode 100755
index 0000000..159e9bc
--- /dev/null
+++ b/examples/hooks/modules.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# This is a hook for live-helper(7) to add entries to /etc/modules.
+# To enable it, copy or symlink this hook into your config/chroot_local-hooks
+# directory.
+
+MODULES=""
+
+for MODULE in ${MODULES}
+do
+	if ! grep -qs /etc/modules ${MODULE}
+	then
+		echo ${MODULE} >> /etc/modules
+	fi
+done

-- 
Debian Live build scripts



More information about the debian-live-changes mailing list